# Makefile for SimpliFace, Copyright  1993, commstalk hq

Sources 			= :Sources:
Objects				= :Objects:
Built				= :Built:

"{Objects}"	 "{Sources}"

.a.o		.a
	Echo "ttAssembling {Default}.a"
	Asm {DepDir}{Default}.a -o {Targ} -lo {Targ}.lst {StdADump} {AOptions} {StdAIncludes}

.c.o		.c
	Echo "ttCompiling {Default}.c"
		C {DepDir}{Default}.c -o {Targ} {StdCDump} {COptions} {StdCIncludes}

.cp.o		.cp
	Echo "ttCompiling {Default}.cp"
		FilterCPlusOutput {DepDir}{Default}.cp -o {Targ} {StdCPDump} {CPOptions} {StdCPIncludes}

.p.o		.p
	Echo "ttCompiling {Default}.p"
		Pascal {DepDir}{Default}.p -o {Targ} {StdPDump} {POptions} {StdPIncludes}

TARGETS = "{Objects}SimpliFace.obj" 
	"{Built}SimpliFace"

DOT_H = "{Sources}TrapAvailable.cp"

DOT_R = "{Sources}SimpliFace.r"

SRCS = "{Sources}SimpliFace.cp"

# For "{Objects}SimpliFace.obj"
OBJS_00 = "{Objects}Application.cp.o" 
		"{Objects}SimpliFace.cp.o" 
		"{Objects}WindowObj.cp.o" 
		"{Objects}ScriptableObjects.cp.o" 
		"{Objects}ScriptUtils.cp.o" 
		"{Objects}ObjModelEvents.cp.o" 
		"{Objects}ObjModelTokens.cp.o" 
		"{Objects}PascalString.cp.o" 
		"{Objects}ListOfLongs.cp.o"  
		"{Objects}DebugTrace.cp.o" 

# pre-built libraries, for "{Objects}SimpliFace.obj"
LIBS_00 = "{Libraries}Runtime.o" 
		"{Libraries}Interface.o" 
		"{CLibraries}"CPluslib.o 
		"{CLibraries}"StdCLib.o 
		"{PLibraries}"PasLib.o 
		"{Libraries}"AEObjectSupportLib.o 
		"{Sources}"DebugTranscript.lib 
		"{Sources}"AEGizmosWithGlobals.lib

# For "{Built}SimpliFace"
RES_01 = "{Sources}SimpliFace.r"

CPlus        = CPlus
StdAIncludes = -i "{AIncludes}" -i "{Sources}"
StdCIncludes = -i "{CIncludes}" -i "{Sources}"
StdPIncludes = 
StdCPIncludes = -i "{CIncludes}" -i "{Sources}"
StdADump     = 
StdCDump     = 
StdPDump     = 
StdCPDump    =  
LIB          = Lib {SymbolOption}
LINK         = ILink {SymbolOption} -model far
COUNT        = Count
COUNTOPTS    = 
CTAGS        = Ctags
CTAGSOPTS    = -p -local -update
DELETE       = Delete
DELETEOPTS   = -i
FILES        = Files
FILESOPTS    = -l
LIBOPTS      = 
LINKOPTS     = 
MAKEFILE     = Makefile
PRINT        = Print
PRINTOPTS    = 
REZ          = Rez
SETFILE      = SetFile
SETFILEOPTS  = -t 'MPST' -c 'MPS '

AOptions = {MyPreAOptions} -model far -case on {SymbolOption} {ModelOption} {MyAOptions}

COptions = {MyPreCOptions} -model far -mf -b2 -w2 -opt full {SymbolOption} {ModelOption} {MyCOptions}

POptions = {MyPrePOptions}  {SymbolOption} {ModelOption} {MyPOptions}

ROptions = {MyPreROptions}  {SymbolOption} {ModelOption} {MyROptions}

CPOptions = {MyPreCPlusOptions} -model far -sym on,nolines -mf -b2 -opt full -w1 -z15 -z17 -y "{Boot}" {SymbolOption} {ModelOption} {MyCPlusOptions}

all	 {TARGETS}

"{Objects}SimpliFace.obj"	 {OBJS_00} {LIBS_00}
	Echo "ttLinking {Targ}"
	{LINK} -d -t APPL -c '????' -o {Targ} {OBJS_00} {LIBS_00}
"{Objects}SimpliFace.obj"	 {OBJS_00} {LIBS_00}
		If `exists "{Objects}SimpliFace.obj.SYM"`
			move -y "{Objects}SimpliFace.obj.SYM" "{Built}SimpliFace.SYM"
		end

"{Built}SimpliFace"	 {RES_01} 
		"{RIncludes}SysTypes.r" "{RIncludes}Types.r" 
		"{Sources}SimpliFaceEvents.h" 
		"{Objects}SimpliFace.obj" 
		"{Sources}VersionResource.r"
	Echo "ttRezzing {Targ}"
	{REZ} -t APPL -c SIMF -s "{Objects}" 
		-i "{Sources}" 
		-i "{RIncludes}" -i "{Objects}" -o {Targ} {RES_01}

"{Built}SimpliFace"	 {RES_01} 
		"{RIncludes}SysTypes.r" "{RIncludes}Types.r" 
		"{Sources}SimpliFaceEvents.h" 
		"{Objects}SimpliFace.obj" 
		"{Sources}VersionResource.r"
	{SETFILE} -a iB -t APPL -c SIMF {Targ}

clean	
	{DELETE} {DELETEOPTS} {OBJS_00}

clobber	 clean
	{DELETE} {DELETEOPTS} {TARGETS}

count	
	{COUNT} {COUNTOPTS} {DOT_H} {DOT_R} {SRCS}

files	
	{FILES} {FILESOPTS} {TARGETS} {MAKEFILE} {DOT_H} {DOT_R} {SRCS} {OBJS_00}

print	
	{PRINT} {PRINTOPTS} {MAKEFILE} {DOT_H} {DOT_R} {SRCS}

tags	 {DOT_H} {SRCS}
	{CTAGS} {CTAGSOPTS} {C_INCDIRS} {NewerDeps}

"{Objects}SimpliFace.cp.o"  
		"{Sources}ScriptableObjects.h" 
		"{Sources}WindowObj.h" 
		"{Sources}ObjModelEvents.h" 
		"{Sources}ObjModelTokens.h" 
		"{Sources}Application.h" 
		"{Sources}SimpliFace.h" 
		"{Sources}SimpliFaceCommon.h" 
		"{Sources}TrapAvailable.cp"

"{Objects}Application.cp.o"  
		"{Sources}ScriptableObjects.h" 
		"{Sources}ObjModelEvents.h" 
		"{Sources}ObjModelTokens.h" 
		"{Sources}Application.h" 
		"{Sources}ApplicationCommon.h" 
		"{Sources}TrapAvailable.cp"

"{Objects}ObjModelEvents.cp.o"  
		"{Sources}ScriptableObjects.h" 
		"{Sources}ObjModelEvents.h" 
		"{Sources}ObjModelTokens.h" 
		"{Sources}ScriptUtils.h"

"{Objects}ObjModelTokens.cp.o"  
		"{Sources}ScriptableObjects.h" 
		"{Sources}ObjModelEvents.h" 
		"{Sources}ObjModelTokens.h" 
		"{Sources}ScriptUtils.h"

"{Objects}ScriptableObjects.cp.o"  
		"{Sources}ScriptableObjects.h" 
		"{Sources}ObjModelEvents.h" 
		"{Sources}ObjModelTokens.h" 
		"{Sources}ScriptUtils.h"

"{Objects}WindowObj.cp.o"  
		"{Sources}WindowObj.h" 
		"{Sources}ScriptableObjects.h" 
		"{Sources}SimpliFace.h" 
		"{Sources}ScriptUtils.h"

"{Objects}ScriptUtils.cp.o"  
		"{Sources}ScriptUtils.h"

"{Objects}ListOfLongs.cp.o"  
		"{Sources}ListOfLongs.h"
		
"{Objects}PascalString.cp.o"  
		"{Sources}PascalString.h"
		
"{Objects}DebugTrace.cp.o"  
		"{Sources}DebugTrace.h"
